<?php 
if (!defined('BASEPATH')) exit('No direct script access allowed');

class M_template_perdata_relaas extends CI_Model {

	function getListPihak($idperkara,$pihakke){
		try {
			if(!is_numeric($idperkara) OR !is_numeric($pihakke)){
				return '';
			}
			return $this->db->query('SELECT pihak_id,nama FROM perkara_pihak'.$pihakke.' WHERE perkara_id='.$idperkara);
		} catch (Exception $e) {
			
		}
	}

	function getFilename($idalurperkara,$idtahapan){
		try{
			if(!is_numeric($idalurperkara) OR !is_numeric($idtahapan)){
				return '';
		}
		return $this->db->query('SELECT * FROM template_dokumen WHERE alur_perkara_id='.$idalurperkara.' AND tahapan_id='.$idtahapan.' AND nomor<=300;');
	} catch (Exception $e){
		}
	}

	function getListJurusita($idperkara,$idJurusita=NULL){
		try{
			if(!is_numeric($idperkara)){
				return '';

		}
			if($idJurusita!=NULL) {
				$and=" AND a.jurusita_id=".$idJurusita;
			} 
		return $this->db->query('SELECT a.perkara_id, a.jurusita_id, a.jurusita_nama,b.jabatan, 
								 (CASE WHEN b.jabatan=1 THEN "Jurusita" ELSE "Jurusita Pengganti" END) AS jabatan_nama 
								 FROM perkara_jurusita as a
								 LEFT JOIN jurusita  as b ON a.jurusita_id=b.id
								 WHERE perkara_id ='.$idperkara." ".$and);
	} catch (Exception $e){
		}
	}

	function getTanggalPersidangan($idjadwal){
		try{
			if(!is_numeric($idjadwal)){
				return '';
		}
		return $this->db->query('SELECT tanggal_sidang, jam_sidang, agenda FROM perkara_jadwal_sidang WHERE id='.$idjadwal);
	}catch (Exception $e){
		}
	}

	function getBiayaPerkara($idperkara,$idbiaya){
		try{
			if(!is_numeric($idperkara)OR !is_numeric($idbiaya)){
				return '';
			}
		return $this->db->query('SELECT id,  tanggal_transaksi, jumlah, jenis_biaya_id FROM perkara_biaya WHERE perkara_id='.$idperkara.' AND jenis_biaya_id='.$idbiaya.' group by tanggal_transaksi, jumlah');
	}catch (Exception $e){
		}
	}
	function getCetakBiayaPerkara($idbiaya){
		try{
			if(!is_numeric($idbiaya)){
				return '';
			}
		return $this->db->query('SELECT id,  tanggal_transaksi, jumlah, jenis_biaya_id FROM perkara_biaya WHERE id='.$idbiaya);
	}catch (Exception $e){
		}
	}
	function getBiayaPerkaraSaksi($idperkara){
		try{
			if(!is_numeric($idperkara)){
				return '';
			}				
		return $this->db->query("SELECT id,  tanggal_transaksi, jumlah, jenis_biaya_id FROM perkara_biaya WHERE perkara_id =".$idperkara." AND uraian LIKE '%Biaya Panggilan Saksi%'");
	}catch (Exception $e){
		}
	}

	function getBiayaPerkaraSaksiPnbp($idperkara){
		try{
			if(!is_numeric($idperkara)){
				return '';
			}				
		return $this->db->query("SELECT id,  tanggal_transaksi, jumlah, jenis_biaya_id FROM perkara_biaya WHERE perkara_id =".$idperkara." AND uraian LIKE '%Biaya PNBP Penyerahan Akta Panggilan Saksi%'");
	}catch (Exception $e){
		}
	}

	function getKuasaHukum($idperkara,$pihakke){
		try{
			if(!is_numeric($idperkara) AND !is_numeric($pihakke)){
				return '';
		}
		$qry="	SELECT a.pengacara_id AS id,a.urutan, a.pihak_id, a.nama, b.alamat, b.pekerjaan 
				FROM perkara_pengacara a, pihak b
				WHERE a.pengacara_id=b.id AND perkara_id='$idperkara' AND pihak_ke='$pihakke'";
		$query=$this->db->query($qry);
		return $query;
	}catch (Exception $e){
		}
	}

	function getKuasaHukumP($idperkara){
		try{
			if(!is_numeric($idperkara) ){
				return '';
		}
		$qry="	SELECT a.pengacara_id AS id,a.urutan, a.pihak_id, a.nama, b.alamat, a.aktif_mulai, b.pekerjaan 
				FROM perkara_pengacara a, pihak b
				WHERE a.pengacara_id=b.id AND perkara_id='$idperkara'";
		$query=$this->db->query($qry);
		return $query;
	}catch (Exception $e){
		}
	}

	function getKuasaHukumCetak($idpengacara){
		try{
			if(!is_numeric($idpengacara)){
				return '';
		}		
		$qry="	SELECT a.nama, b.alamat, b.pekerjaan 
				FROM perkara_pengacara a, pihak b
				WHERE a.pengacara_id=b.id AND b.id='$idpengacara'";
		$query=$this->db->query($qry);
		return $query;
	}catch (Exception $e){
		}
	}

function getDataPerkara($idperkara){
		try {
			if(!is_numeric($idperkara)){
					return '';
				}
			return $this->db->query('SELECT nomor_perkara,nomor_surat,tanggal_surat, tanggal_pendaftaran FROM perkara WHERE perkara_id ='.$idperkara);
		} catch(PDOException $e) {		
		}
	}

function getDataPN(){
		try {
			return $this->db->query ("SELECT * FROM 
					(SELECT value AS NamaPN FROM sys_config WHERE id = 62) AS T1,
					(SELECT value AS KetuaPNNama FROM sys_config WHERE id = 64) AS T2,
					(SELECT value AS AlamatPN FROM sys_config WHERE id = 63) AS T3,
					(SELECT value AS WakilKetuaPNNama FROM sys_config WHERE id = 66) AS T4,
					(SELECT value AS ZonaWaktu FROM sys_config WHERE id = 75) AS T5;");
			} catch(PDOException $e) {
			}
	}

function getPihakPenggugat($idperkara){
	try{
		if(!is_numeric($idperkara)){
					return '';
				}
		return $this->db->query ('SELECT pihak_id, urutan, nama, alamat, jenis_pihak_id AS info FROM perkara_pihak1 WHERE perkara_id ='.$idperkara.' ORDER BY urutan ASC');
	}catch(PDOException $e) {
		}
	}

function getDataPihakTergugat($idperkara){
	try{
		if(!is_numeric($idperkara)){
					return '';
				}
		return $this->db->query ('SELECT pihak_id, urutan,  nama, alamat,
                jenis_pihak_id as info
                FROM perkara_pihak2 WHERE perkara_id ='.$idperkara.' ORDER BY urutan ASC');
	}catch(PDOException $e) {
		}
	}

function getCetakPihakPenggugat($idpihak){
	try{
		if(!is_numeric($idpihak)){
					return '';
				}
		$qry="	SELECT pihak_id, urutan, b.nama, b.alamat, b.pekerjaan, b.jenis_pihak_id as info
                FROM perkara_pihak1 a, pihak b
                WHERE a.pihak_id=b.id AND pihak_id ='$idpihak'";
        $query=$this->db->query($qry);
        return $query;
	}catch(PDOException $e) {
		}
	}

function getCetakPihakTergugat($idpihak){
	try{
		if(!is_numeric($idpihak)){
					return '';
				}
		$qry="	SELECT pihak_id, urutan,  b.nama, b.alamat, pekerjaan, b.jenis_pihak_id as info
                FROM perkara_pihak2 a, pihak b
                WHERE a.pihak_id=b.id AND pihak_id ='$idpihak'";
        $query=$this->db->query($qry);
        return $query;
	}catch(PDOException $e) {
		}
	}

function getDataDocumentTemplate($idalurperkara,$idatahapan,$idproses,$notemplate,$keyword)
{
	if (empty($keyword) or $keyword=='')
	{
	$sql="SELECT a.nama AS jnsperkara,b.nomor AS notenmplate,b.kode AS kdtemplate,b.nama AS namatemplate 
			FROM alur_perkara a,template_dokumen b 
			WHERE a.id=b.alur_perkara_id 	AND a.id=$idalurperkara 
											AND b.tahapan_id =$idatahapan 
											AND b.proses_id=$idproses 
											AND b.nomor=$notemplate";
	}
	else
	{
	$sql="SELECT a.nama AS jnsperkara,b.nomor AS notenmplate,b.kode AS kdtemplate,b.nama AS namatemplate 
			FROM alur_perkara a,template_dokumen b 
			WHERE a.id=b.alur_perkara_id 	AND a.id=$idalurperkara 
											AND b.tahapan_id =$idatahapan 
											AND b.proses_id=$idproses 
											AND b.nama LIKE '%$keyword%'";
	}
	$query=$this->db->query($sql);
	return $query;
}
	function getPihakInfo($idpihak){
		try {
			if(!is_numeric($idpihak)){
				return '';
			}
			return $this->db->query('SELECT * FROM pihak WHERE id='.$idpihak);
		} catch (Exception $e) {
			
		}
	}
	function getDataSidangTunda($idperkara){
		try{
			if(!is_numeric($idperkara)) { return ''; }
			$sql = "SELECT id,urutan, tanggal_sidang
					FROM perkara_jadwal_sidang
					WHERE perkara_id =$idperkara AND verzet='T' AND keberatan='T' AND ikrar_talak='T' ";
			$query=$this->db->query($sql);
			return $query;	
		}catch(Exception $e) { return false; }
	}
//PERADILAN AGAMAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
function blangko_bas_pertama_agama(){
		try{
			$sql = "SELECT kode,nama FROM template_dokumen WHERE alur_perkara_id='15' AND tahapan_id='14'  AND proses_id='200' AND nomor <= '100' ";
			$query=$this->db->query($sql);
			return $query;	
		}catch(Exception $e) { return false; }
	}
	
	function blangko_bas_lanjutan_agama(){
		try{
			$sql = "SELECT kode,nama FROM template_dokumen WHERE alur_perkara_id='15' AND tahapan_id='14'  AND proses_id='200' AND (nomor BETWEEN '101' AND '200' ) ";
			$query=$this->db->query($sql);
			return $query;	
		}catch(Exception $e) { return false; }
	}

	function getJadwalMediasi($idjadwalmediasi=NULL){
		if ($idjadwalmediasi!=NULL){
			$where=" WHERE id=$idjadwalmediasi";
		}
		try {
			$sql='SELECT tanggal_mediasi,tempat, dihadiri_oleh, ditunda FROM perkara_jadwal_mediasi '.$where;
			return $this->db->query($sql);
		} catch (Exception $e) {
			
		}
	}
}

